dim fso, tsin, tsout
dim i, a, id
dim ra, dec, pmra, pmdec, epoch, mag
dim nResult, sPrompt

set fso = createobject("Scripting.FileSystemObject")
set tsout = fso.createtextfile("ucac1.cdc",True)

sPrompt = "UCAC1 stars can be identified by a running sequential number" & vbcrlf & _
          "assigned to each individual star.  Including this sequential" & vbcrlf & _
          "number increases the size of the database by 100MB" & vbcrlf & vbcrlf & _
          "Do you want to include a sequential ID number?"
nResult = msgbox(sPrompt,vbyesno + vbquestion,"UCAC Conversion")

sPrompt = "This script will run without screen notifications until complete." & vbcrlf & vbcrlf & _
          "Please note that based on the speed of your machine, this may" & vbcrlf & _
          "take several minutes.  When the script is complete, a" & vbcrlf & _
          "notification message box will appear."
msgbox sprompt,vbokonly + vbinformation, "UCAC Conversion"

for i = 1 to 169

	set tsin = fso.opentextfile("z" & right("000" & cstr(i),3) & ".dat", 1)    

	do while not tsin.AtEndOfStream
		a = tsin.readline

		if nResult = vbyes then
			id = id + 1
			id = right(space(12) & formatnumber(id,0),12)
		end if

		ra = right(space(10) & formatnumber(trim(mid(a,1,10))/3600000,6),10)
		dec = right(space(10) & formatnumber((trim(mid(a,11,10))-324000000)/3600000,6),10)
		mag = right(space(5) & formatnumber(trim(mid(a,21,5))/100,2),5)
		epoch = right(space(8) & formatnumber((trim(mid(a,37,5))/1000) + 1997,3,,,False),8)
		pmra = right(space(8) & formatnumber(trim(mid(a,42,7))/10000,4),8)
		pmdec = right(space(8) & formatnumber(trim(mid(a,49,7))/10000,4),8)

		if nResult = vbyes then
			tsout.writeline ra & " " & dec & " " & mag & " " & epoch & " " & pmra & " " & pmdec & " " & id
		else
			tsout.writeline ra & " " & dec & " " & mag & " " & epoch & " " & pmra & " " & pmdec
		end if
		
	loop
	
	tsin.close

	set tsin = fso.getfile("z" & right("000" & cstr(i),3) & ".dat")
	tsin.delete
	
next

tsout.close
set fso = nothing
set tsin = nothing

msgbox "Conversion Complete...", vbokonly + vbinformation, "UCAC Conversion"
